Skip to main content
Back to API List Gets the status of a Bot Export request and provides the download link after the export completes. Refer to Bot Export API to initiate an export.
FieldValue
MethodGET
Endpointhttps://{{host}}/api/public/bot/{{BotID}}/export/status
Content Typeapplication/json
Authorizationauth: {{JWT}} See How to generate the JWT Token.
API ScopeApp Builder: Bot Export; Admin Console: Bot Definition > Bot Export

Query Parameters

ParameterDescriptionRequired
hostThe environment URL. For example, https://platform.kore.ai.Required
BotIDBot ID or Stream ID. Access it under General Settings on the App Builder.Required

Sample Request

curl -X GET 'https://{{host}}/api/public/bot/{{BotID}}/export/status' \
  -H 'auth: {{YOUR_JWT_ACCESS_TOKEN}}'

Body Parameters

No body parameters are passed.

Sample Response

{
    "_id": "ber-xxxxx-xxx-xxx-xxx-xxxxx",
    "botId": "st-xxxxx-xxx-xxx-xxx-xxxxx",
    "createdBy": "u-xxxxx-xxx-xxx-xxx-xxxxx",
    "exportType": "published",
    "requestType": "Botexport",
    "status": "success",
    "createdOn": "2018-12-05T07:18:40.028Z",
    "__v": 0,
    "downloadURL": "{{url}}",
    "fileId": "{{file-id}}",
    "store": {
        "urlParams": "url-params"
    },
    "fileSize": "947"
}